Browse Source

packages: 'generate-package-cache' uses 'supported-package?'.

* gnu/packages.scm (generate-package-cache): Use 'supported-package?'
instead of 'package-supported-systems'.
wip-gnome3.34
Ludovic Courtès 3 years ago
parent
commit
d2d63e20d5
No known key found for this signature in database GPG Key ID: 90B11993D9AEBB5
  1. 4
      gnu/packages.scm

4
gnu/packages.scm

@ -393,9 +393,7 @@ reducing the memory footprint."
,(module-name module)
,symbol
,(package-outputs package)
,(->bool
(member (%current-system)
(package-supported-systems package)))
,(->bool (supported-package? package))
,(->bool (package-superseded package))
,@(let ((loc (package-location package)))
(if loc

Loading…
Cancel
Save